Authentication Error with 3.0 on FreeBSD 6

Discussion in 'General' started by Jetro, Nov 24, 2006.

  1. Jetro

    Jetro New Member

    There is a bug. I wanted to test this beta so installed it on my FreeBSD6 that works under vmware workstation. When i try to login to admin panel, i got "Invalid credentials" message. Reinstalling with different user/pass doesn't help.
  2. xing

    xing LiteSpeed Staff

    Jetro, was this a clean install or migration from existing 2.2 lsws? Does clearing your browser cookie fix the problem? What browser are you using?
  3. mistwang

    mistwang LiteSpeed Staff

    Jetro, I tried a fresh installation of 3.0beta on FreeBSD6.1 under vmware, works fine.
    The binary is built on FreeBSD 6.1, are you using FreeBSD 6.0?
  4. Jetro

    Jetro New Member

    @xing: I used fresh install of lsws on my freebsd 6.1 (32-bit) and tried to login via ff 2.0,opera 9 and IE7 so it wasn't cookie problem. Also checked keyboard codepage. But i don't remember if i installed lsws for freebsd or for freebsd6 version.

    @mistwang: Now it's ok. I reinstalled Freebsd 6.1 and lsws for freebsd6 and now i can login. :)

    Weird...
  5. jerrett

    jerrett New Member

    Having the same problem - using the right lsws for fbsd 6.1 , have tried reinstall etc... can't get it to login
  6. snowchyld

    snowchyld New Member

    Its 6.2-RELEASE

    Looking at login.php (ws/CLIENT.php)

    $salt = substr($pass,0,2); (is this correct ?)
    A salt of '$2' (blowfish) would mean.. something is wrong ?
    (function authenticate)

Share This Page